=== debian/changelog ===
yamcha (0.33-2) experimental; urgency=medium

  * Update Vcs-* fields.
  * Bump Standards-Version to 4.1.0.
    Support of nodoc option has been implemented.
  * Drop dbg package.
  * Drop unused  yamcha.lintian-overrides.
  * Add source lintian-overrides.
  * Add 1011_fix_gcc7_compilation.patch (Closes: #875993),
    1012_fix_training_installation.patch,
    1013_fix_spelling_errors.patch and
    1014_improve_test_suite_reliability.patch.
  * Install documentation using yamcha.docs and yamcha.manpages
    instead of using yamcha.install.
  * Allow building with any automake version.
  * Fix building cleanup.
  * Prevent empty changelog installation.
  * Drop autoconf copyright notes and update years in copyright file.
  * Update copyright_hints.
  * Implement nodoc option support.
  * Bump compatibility level to 11.
  * Add debhelper (>= 10.8~) build dependency.
  * Drop autotools-dev build dependency.

 -- Giulio Paci <giuliopaci@gmail.com>  Mon, 25 Sep 2017 21:55:13 +0200

yamcha (0.33-1) experimental; urgency=low

  * Initial release
    Closes: #668873.

 -- Giulio Paci <giuliopaci@gmail.com>  Sat, 22 Dec 2012 03:17:37 +0100
