=== debian/control ===
Source: yamcha
Section: science
Priority: optional
Maintainer: Giulio Paci <giuliopaci@gmail.com>
Build-Depends: cdbs,
 debhelper (>= 10.8~),
 dh-buildinfo,
 licensecheck,
 libtool,
 automake,
 autoconf,
 dpkg-dev (>= 1.16.2),
 tinysvm,
 darts,
 swig,
 help2man,
 man2html
Standards-Version: 4.1.0
Vcs-Git: https://anonscm.debian.org/cgit/collab-maint/yamcha.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/yamcha.git
Homepage: http://www.chasen.org/~taku/software/yamcha/

Package: yamcha
Architecture: any
Depends: libyamcha1 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends},
Recommends: make, perl, tinysvm
Built-Using: ${misc:Built-Using}
Description: general purpose chunker annotator
 YamCha is a generic, customizable, and open source text chunker
 oriented toward a lot of NLP tasks, such as POS tagging, Named Entity
 Recognition, base NP chunking, and Text Chunking. YamCha is using a
 state-of-the-art machine learning algorithm called Support Vector
 Machines (SVMs), first introduced by Vapnik in 1995.

Package: libyamcha-dev
Architecture: any
Section: libdevel
Depends: libyamcha1 (= ${binary:Version}),
         ${misc:Depends}
Built-Using: ${misc:Built-Using}
Description: general purpose chunker annotator - development files
 YamCha is a generic, customizable, and open source text chunker
 oriented toward a lot of NLP tasks, such as POS tagging, Named Entity
 Recognition, base NP chunking, and Text Chunking. YamCha is using a
 state-of-the-art machine learning algorithm called Support Vector
 Machines (SVMs), first introduced by Vapnik in 1995.
 .
 This package provides development headers for YamCha.

Package: libyamcha1
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: general purpose chunker annotator - runtime library
 YamCha is a generic, customizable, and open source text chunker
 oriented toward a lot of NLP tasks, such as POS tagging, Named Entity
 Recognition, base NP chunking, and Text Chunking. YamCha is using a
 state-of-the-art machine learning algorithm called Support Vector
 Machines (SVMs), first introduced by Vapnik in 1995.
 .
 This package contains the YamCha runtime library.
