=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -Wall
include /usr/share/dpkg/buildflags.mk

DEB_MAKE_CHECK_TARGET := check
DEB_BUILD_PARALLEL := 1
DEB_DH_MAKESHLIBS_ARGS_ALL := -V -- -t

CFLAGS += -Wall -Wno-deprecated
CXXFLAGS += -Wall -Wno-deprecated

include /usr/share/cdbs/1/rules/upstream-tarball.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/autotools.mk

DEB_INSTALL_DOCS_ALL :=
DEB_INSTALL_CHANGELOGS_ALL :=
DEB_TAR_SRCDIR := .

DEB_AUTO_UPDATE_LIBTOOL = pre
DEB_AUTO_UPDATE_ACLOCAL = ,
DEB_ACLOCAL_ARGS = 
DEB_AUTO_UPDATE_AUTOMAKE = ,
DEB_AUTOMAKE_ARGS = --foreign --add-missing --copy
DEB_AUTO_UPDATE_AUTOCONF = 2.69
DEB_AUTO_UPDATE_AUTOHEADER = 2.69

BUILT_USING_SOURCES := $(shell dpkg-query -W -f='$${source:Package} (= $${source:Version})' darts)
DEB_DH_GENCONTROL_ARGS_yamcha := -- '-Vmisc:Built-Using=$(BUILT_USING_SOURCES)'

BACKUP=yamcha.spec perl/Makefile.PL ruby/extconf.rb python/setup.py \
 missing depcomp Makefile.in doc/Makefile.in man/Makefile.in src/Makefile.in tests/Makefile.in libexec/Makefile.in \
 configure aclocal.m4 config.h.in ltmain.sh \
 perl/YamCha.pm perl/YamCha_wrap.cxx \
 python/YamCha.py python/YamCha_wrap.cxx \
 ruby/YamCha_wrap.cpp \
 man/yamcha.1 doc/yamcha.html

pre-build::
	# Backup files expected to be modified.
	set -e ; for i in $(BACKUP); do \
		if [ ! -f "$$i".backup ]; then cp -a "$$i" "$$i".backup; fi ; \
	done
	make -C swig

ifeq "$(filter nodoc,$(DEB_BUILD_OPTIONS))" ""
common-install-prehook-impl::
	make update-man -C man
	make update-html -C doc
	mkdir -p debian/tmp/html
	cp -a doc/*.html doc/*.css doc/*.png debian/tmp/html
endif

clean::
	set -e ; for i in $(BACKUP); do \
		if [ -f "$$i".backup ]; then mv -f "$$i".backup "$$i"; fi ; \
	done
	$(RM) tests/tmp.log tests/tmp.model tests/tmp.result tests/tmp.se tests/tmp.svmdata tests/tmp.txtmodel.gz
	$(RM) compile test-driver

# Needed by upstream build process
CDBS_BUILD_DEPENDS += , dpkg-dev (>= 1.16.2) , tinysvm, darts, swig, help2man, man2html
