=== debian/watch ===
version=3
http://www.chasen.org/~taku/software/yamcha/src/yamcha[-_](\d[\d\.]+)\.(?:tar\.(?:gz|bz2|lzma|xz)|tgz|zip|txz)
